/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "item.h"
#include "../xml.h"
#include "../asset.h"

/**
 * Load the given texture scale for a scaled texture.
 * 
 * @param manager Manager to queue on to.
 * @param owner Owner ID requesting to load this resource.
 * @param path Path of the texture size sets
 * @param file Name of the texture that was generated.
 * @param scale Scale to load.
 * @return A pointer to the asset manager item for tracking.
 */
assetmanageritem_t * assetManagerLoadScaledTexture(
  assetmanager_t *manager, assetmanagerowner_t owner,
  char *path, char *file, uint8_t scale
);

bool _assetManagerLoaderScaledTextureAsync(assetmanageritem_t *item);
bool _assetManagerLoaderScaledTextureSync(assetmanageritem_t *item);
bool _assetManagerLoaderScaledTextureDispose(assetmanageritem_t *item);