/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "item.h"
#include "../asset.h"

/**
 * Queues a shader load onto the asset manager buffer.
 * 
 * @param manager Manager to queue on to.
 * @param owner Owner ID requesting to load this resource.
 * @param shader Shader to push the result in to.
 * @param fileVert Vertex file in question to load.
 * @param fileFrag Fragment file in question to load.
 * @return A pointer to the asset manager item for tracking.
 */
assetmanageritem_t * assetManagerLoadShader(
  assetmanager_t *manager, assetmanagerowner_t owner,
  char *fileVert, char *fileFrag
);

bool _assetManagerLoaderShaderAsync(assetmanageritem_t *item);
bool _assetManagerLoaderShaderSync(assetmanageritem_t *item);
bool _assetManagerLoaderShaderDispose(assetmanageritem_t *item);