/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../../libs.h"
#include "../pokerdiscussion.h"
#include "action.h"
#include "round.h"

/** Callback to fire when the winner starts */
void _pokerGameActionWinnerOnStart(
  queue_t *queue, queueaction_t *action, uint8_t i
);

/**
 * Queue a winning game action.
 * 
 * @param game Game to queue for.
 * @return The queued winning action.
 */
queueaction_t * pokerGameActionWinnerAdd(pokergame_t *game);